%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name downshift

Name: %{?scl_prefix}nodejs-downshift
Version: 5.4.7
Release: 1%{?dist}
Summary: A set of primitives to build simple, flexible, WAI-ARIA compliant React autocomplete components
License: MIT
Group: Development/Libraries
URL: https://github.com/downshift-js/downshift#readme
Source0: https://registry.npmjs.org/@babel/runtime/-/runtime-7.10.5.tgz
Source1: https://registry.npmjs.org/compute-scroll-into-view/-/compute-scroll-into-view-1.0.14.tgz
Source2: https://registry.npmjs.org/downshift/-/downshift-5.4.7.tgz
Source3: https://registry.npmjs.org/js-tokens/-/js-tokens-4.0.0.tgz
Source4: https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz
Source5: https://registry.npmjs.org/object-assign/-/object-assign-4.1.1.tgz
Source6: https://registry.npmjs.org/prop-types/-/prop-types-15.7.2.tgz
Source7: https://registry.npmjs.org/react-is/-/react-is-16.13.1.tgz
Source8: https://registry.npmjs.org/regenerator-runtime/-/regenerator-runtime-0.13.7.tgz
Source9: nodejs-downshift-%{version}-registry.npmjs.org.tgz
%if 0%{?scl:1}
BuildRequires: %{?scl_prefix_nodejs}npm
%else
BuildRequires: nodejs-packaging
BuildRequires: npm
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(@babel/runtime)) = 7.10.5
Provides: bundled(npm(compute-scroll-into-view)) = 1.0.14
Provides: bundled(npm(downshift)) = 5.4.7
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.7.2
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(regenerator-runtime)) = 0.13.7
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 9 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/flow-typed %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/preact %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/typings %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/CHANGELOG.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Tue Jul 28 2020 Eric D. Helms <ericdhelms@gmail.com> - 5.4.7-1
- Release nodejs-downshift 5.4.7

* Sun Oct 06 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.31.15-2
- Update to handle building for SCL

* Thu Jun 07 2018 Eric D. Helms <ericdhelms@gmail.com> 1.31.15-1
- Update to 1.31.15

* Thu Apr 19 2018 Eric D. Helms <ericdhelms@gmail.com> 1.28.0-1
- Add nodejs-downshift generated by npm2rpm using the single strategy
